diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -6285,209 +6290,208 @@ E/F2 10/Courier@0 SF(_completion_loader\(\))108 494.4 Q({)108 506.4 Q 6
 (/etc/bash_completion.d/$1.sh" >/dev/null 2>&1 && return 124)-6 E(})108
 530.4 Q(complete -D -F _completion_loader -o bashdefault -o default)108
 542.4 Q/F3 10.95/Times-Bold@0 SF(HIST)72 571.2 Q(OR)-.197 E(Y)-.383 E F0
-.372(When the)108 583.2 R F1 .372(\255o history)2.872 F F0 .372
-(option to the)2.872 F F1(set)2.872 E F0 -.2(bu)2.872 G .372
-(iltin is enabled, the shell pro).2 F .371(vides access to the)-.15 F/F4
-10/Times-Italic@0 SF .371(command history)2.871 F F0(,)A .304
-(the list of commands pre)108 595.2 R .304(viously typed.)-.25 F .304
-(The v)5.304 F .304(alue of the)-.25 F/F5 9/Times-Bold@0 SF(HISTSIZE)
-2.804 E F0 -.25(va)2.554 G .305(riable is used as the number of com-).25
-F .43(mands to sa)108 607.2 R .73 -.15(ve i)-.2 H 2.93(nah).15 G .43
-(istory list.)-2.93 F .43(The te)5.43 F .429(xt of the last)-.15 F F5
-(HISTSIZE)2.929 E F0 .429(commands \(def)2.679 F .429(ault 500\) is sa)
--.1 F -.15(ve)-.2 G 2.929(d. The).15 F(shell)2.929 E .287
+.371(When the)108 583.2 R F1 .371(\255o history)2.871 F F0 .371
+(option to the)2.871 F F1(set)2.872 E F0 -.2(bu)2.872 G .372
+(iltin is enabled, the shell pro).2 F .372(vides access to the)-.15 F/F4
+10/Times-Italic@0 SF .372(command history)2.872 F F0(,)A .305
+(the list of commands pre)108 595.2 R .305(viously typed.)-.25 F .305
+(The v)5.305 F .304(alue of the)-.25 F/F5 9/Times-Bold@0 SF(HISTSIZE)
+2.804 E F0 -.25(va)2.554 G .304(riable is used as the number of com-).25
+F .429(mands to sa)108 607.2 R .729 -.15(ve i)-.2 H 2.929(nah).15 G .429
+(istory list.)-2.929 F .429(The te)5.429 F .429(xt of the last)-.15 F F5
+(HISTSIZE)2.93 E F0 .43(commands \(def)2.68 F .43(ault 500\) is sa)-.1 F
+-.15(ve)-.2 G 2.93(d. The).15 F(shell)2.93 E .287
 (stores each command in the history list prior to parameter and v)108
 619.2 R .287(ariable e)-.25 F .287(xpansion \(see)-.15 F F5(EXP)2.787 E
 (ANSION)-.666 E F0(abo)2.537 E -.15(ve)-.15 G(\)).15 E -.2(bu)108 631.2
-S 4.066(ta).2 G 1.565(fter history e)-4.066 F 1.565
+S 4.065(ta).2 G 1.565(fter history e)-4.065 F 1.565
 (xpansion is performed, subject to the v)-.15 F 1.565
 (alues of the shell v)-.25 F(ariables)-.25 E F5(HISTIGNORE)4.065 E F0
-(and)3.815 E F5(HISTCONTR)108 643.2 Q(OL)-.27 E/F6 9/Times-Roman@0 SF(.)
+(and)3.816 E F5(HISTCONTR)108 643.2 Q(OL)-.27 E/F6 9/Times-Roman@0 SF(.)
 A F0 .082
 (On startup, the history is initialized from the \214le named by the v)
-108 660 R(ariable)-.25 E F5(HISTFILE)2.583 E F0(\(def)2.333 E(ault)-.1 E
-F4(~/.bash_history)2.583 E F0(\).)A .315(The \214le named by the v)108
+108 660 R(ariable)-.25 E F5(HISTFILE)2.582 E F0(\(def)2.332 E(ault)-.1 E
+F4(~/.bash_history)2.582 E F0(\).)A .315(The \214le named by the v)108
 672 R .315(alue of)-.25 F F5(HISTFILE)2.815 E F0 .315
 (is truncated, if necessary)2.565 F 2.815(,t)-.65 G 2.815(oc)-2.815 G
-.315(ontain no more than the number of)-2.815 F .658
-(lines speci\214ed by the v)108 684 R .658(alue of)-.25 F F5
+.315(ontain no more than the number of)-2.815 F .659
+(lines speci\214ed by the v)108 684 R .659(alue of)-.25 F F5
 (HISTFILESIZE)3.158 E F6(.)A F0(If)5.158 E F1(HISTFILESIZE)3.158 E F0
-.659(is unset, or set to null, a non-numeric)3.158 F -.25(va)108 696 S
+.658(is unset, or set to null, a non-numeric)3.158 F -.25(va)108 696 S
 .142(lue, or a numeric v).25 F .142
 (alue less than zero, the history \214le is not truncated.)-.25 F .142
-(When the history \214le is read, lines)5.142 F(be)108 708 Q 1.604
+(When the history \214le is read, lines)5.142 F(be)108 708 Q 1.605
 (ginning with the history comment character follo)-.15 F 1.604
-(wed immediately by a digit are interpreted as time-)-.25 F .151
-(stamps for the follo)108 720 R .151(wing history line.)-.25 F .151
+(wed immediately by a digit are interpreted as time-)-.25 F .15
+(stamps for the follo)108 720 R .15(wing history line.)-.25 F .151
 (These timestamps are optionally displayed depending on the v)5.151 F
-.15(alue of)-.25 F(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(52)
-197.335 E 0 Cg EP
+.151(alue of)-.25 F(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(52)
+192.895 E 0 Cg EP
 %%Page: 53 53
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E(the)108 84 Q/F1 9
-/Times-Bold@0 SF(HISTTIMEFORMA)3.558 E(T)-.855 E F0 -.25(va)3.309 G
+/Times-Bold@0 SF(HISTTIMEFORMA)3.559 E(T)-.855 E F0 -.25(va)3.309 G
 3.559(riable. When).25 F 3.559(as)3.559 G 1.059
 (hell with history enabled e)-3.559 F 1.059(xits, the last)-.15 F F1
-($HISTSIZE)3.559 E F0 1.059(lines are)3.309 F .159
-(copied from the history list to)108 96 R F1($HISTFILE)2.659 E/F2 9
-/Times-Roman@0 SF(.)A F0 .159(If the)4.659 F/F3 10/Times-Bold@0 SF
-(histappend)2.658 E F0 .158
-(shell option is enabled \(see the description of)2.658 F F3(shopt)108
-108 Q F0(under)2.581 E F1 .081(SHELL B)2.581 F(UIL)-.09 E .081
+($HISTSIZE)3.559 E F0 1.058(lines are)3.309 F .158
+(copied from the history list to)108 96 R F1($HISTFILE)2.658 E/F2 9
+/Times-Roman@0 SF(.)A F0 .158(If the)4.658 F/F3 10/Times-Bold@0 SF
+(histappend)2.658 E F0 .159
+(shell option is enabled \(see the description of)2.659 F F3(shopt)108
+108 Q F0(under)2.582 E F1 .082(SHELL B)2.582 F(UIL)-.09 E .082
 (TIN COMMANDS)-.828 F F0(belo)2.332 E .082
 (w\), the lines are appended to the history \214le, otherwise the)-.25 F
-.197(history \214le is o)108 120 R -.15(ve)-.15 G 2.697(rwritten. If).15
-F F1(HISTFILE)2.697 E F0 .196(is unset, or if the history \214le is unw\
-ritable, the history is not sa)2.447 F -.15(ve)-.2 G(d.).15 E .583
-(If the)108 132 R F1(HISTTIMEFORMA)3.083 E(T)-.855 E F0 -.25(va)2.834 G
+.196(history \214le is o)108 120 R -.15(ve)-.15 G 2.696(rwritten. If).15
+F F1(HISTFILE)2.696 E F0 .197(is unset, or if the history \214le is unw\
+ritable, the history is not sa)2.446 F -.15(ve)-.2 G(d.).15 E .584
+(If the)108 132 R F1(HISTTIMEFORMA)3.084 E(T)-.855 E F0 -.25(va)2.834 G
 .584(riable is set, time stamps are written to the history \214le, mark)
-.25 F .584(ed with the his-)-.1 F 1.148(tory comment character)108 144 R
-3.648(,s)-.4 G 3.648(ot)-3.648 G(he)-3.648 E 3.648(ym)-.15 G 1.147
-(ay be preserv)-3.648 F 1.147(ed across shell sessions.)-.15 F 1.147
-(This uses the history comment)6.147 F 1.376
+.25 F .583(ed with the his-)-.1 F 1.147(tory comment character)108 144 R
+3.647(,s)-.4 G 3.647(ot)-3.647 G(he)-3.647 E 3.647(ym)-.15 G 1.147
+(ay be preserv)-3.647 F 1.147(ed across shell sessions.)-.15 F 1.148
+(This uses the history comment)6.148 F 1.377
 (character to distinguish timestamps from other history lines.)108 156 R
-1.377(After sa)6.377 F 1.377(ving the history)-.2 F 3.877(,t)-.65 G
-1.377(he history \214le is)-3.877 F .757
+1.377(After sa)6.377 F 1.377(ving the history)-.2 F 3.876(,t)-.65 G
+1.376(he history \214le is)-3.876 F .756
 (truncated to contain no more than)108 168 R F1(HISTFILESIZE)3.257 E F0
 3.257(lines. If)3.007 F F1(HISTFILESIZE)3.257 E F0 .757
 (is unset, or set to null, a non-)3.007 F(numeric v)108 180 Q
 (alue, or a numeric v)-.25 E
-(alue less than zero, the history \214le is not truncated.)-.25 E .298
-(The b)108 196.8 R .298(uiltin command)-.2 F F3(fc)2.798 E F0(\(see)
-2.798 E F1 .298(SHELL B)2.798 F(UIL)-.09 E .298(TIN COMMANDS)-.828 F F0
-(belo)2.549 E .299(w\) may be used to list or edit and re-e)-.25 F -.15
-(xe)-.15 G(-).15 E .472(cute a portion of the history list.)108 208.8 R
-(The)5.472 E F3(history)2.972 E F0 -.2(bu)2.972 G .471
-(iltin may be used to display or modify the history list and).2 F .001
+(alue less than zero, the history \214le is not truncated.)-.25 E .299
+(The b)108 196.8 R .299(uiltin command)-.2 F F3(fc)2.799 E F0(\(see)
+2.799 E F1 .299(SHELL B)2.799 F(UIL)-.09 E .299(TIN COMMANDS)-.828 F F0
+(belo)2.549 E .298(w\) may be used to list or edit and re-e)-.25 F -.15
+(xe)-.15 G(-).15 E .471(cute a portion of the history list.)108 208.8 R
+(The)5.471 E F3(history)2.971 E F0 -.2(bu)2.971 G .472
+(iltin may be used to display or modify the history list and).2 F .002
 (manipulate the history \214le.)108 220.8 R .001
-(When using command-line editing, search commands are a)5.001 F -.25(va)
--.2 G .002(ilable in each edit-).25 F(ing mode that pro)108 232.8 Q
-(vide access to the history list.)-.15 E 1.486(The shell allo)108 249.6
-R 1.486(ws control o)-.25 F -.15(ve)-.15 G 3.986(rw).15 G 1.486
+(When using command-line editing, search commands are a)5.002 F -.25(va)
+-.2 G .001(ilable in each edit-).25 F(ing mode that pro)108 232.8 Q
+(vide access to the history list.)-.15 E 1.485(The shell allo)108 249.6
+R 1.485(ws control o)-.25 F -.15(ve)-.15 G 3.986(rw).15 G 1.486
 (hich commands are sa)-3.986 F -.15(ve)-.2 G 3.986(do).15 G 3.986(nt)
--3.986 G 1.486(he history list.)-3.986 F(The)6.485 E F1(HISTCONTR)3.985
-E(OL)-.27 E F0(and)3.735 E F1(HISTIGNORE)108 261.6 Q F0 -.25(va)2.707 G
-.457(riables may be set to cause the shell to sa).25 F .758 -.15(ve o)
--.2 H .458(nly a subset of the commands entered.).15 F(The)5.458 E F3
+-3.986 G 1.486(he history list.)-3.986 F(The)6.486 E F1(HISTCONTR)3.986
+E(OL)-.27 E F0(and)3.736 E F1(HISTIGNORE)108 261.6 Q F0 -.25(va)2.708 G
+.458(riables may be set to cause the shell to sa).25 F .757 -.15(ve o)
+-.2 H .457(nly a subset of the commands entered.).15 F(The)5.457 E F3
 (cmdhist)108 273.6 Q F0 .75
 (shell option, if enabled, causes the shell to attempt to sa)3.25 F 1.05
 -.15(ve e)-.2 H .75(ach line of a multi-line command in).15 F 1.077
 (the same history entry)108 285.6 R 3.577(,a)-.65 G 1.077
 (dding semicolons where necessary to preserv)-3.577 F 3.577(es)-.15 G
-1.077(yntactic correctness.)-3.577 F(The)6.077 E F3(lithist)3.577 E F0
-.374(shell option causes the shell to sa)108 297.6 R .674 -.15(ve t)-.2
-H .374(he command with embedded ne).15 F .373
-(wlines instead of semicolons.)-.25 F .373(See the)5.373 F .318
-(description of the)108 309.6 R F3(shopt)2.818 E F0 -.2(bu)2.818 G .318
+1.077(yntactic correctness.)-3.577 F(The)6.077 E F3(lithist)3.576 E F0
+.373(shell option causes the shell to sa)108 297.6 R .674 -.15(ve t)-.2
+H .374(he command with embedded ne).15 F .374
+(wlines instead of semicolons.)-.25 F .374(See the)5.374 F .319
+(description of the)108 309.6 R F3(shopt)2.819 E F0 -.2(bu)2.819 G .318
 (iltin belo).2 F 2.818(wu)-.25 G(nder)-2.818 E F1 .318(SHELL B)2.818 F
-(UIL)-.09 E .318(TIN COMMANDS)-.828 F F0 .319
+(UIL)-.09 E .318(TIN COMMANDS)-.828 F F0 .318
 (for information on setting and)2.568 F(unsetting shell options.)108
 321.6 Q/F4 10.95/Times-Bold@0 SF(HIST)72 338.4 Q(OR)-.197 E 2.738(YE)
--.383 G(XP)-2.738 E(ANSION)-.81 E F0 .611
-(The shell supports a history e)108 350.4 R .611
-(xpansion feature that is similar to the history e)-.15 F .61
-(xpansion in)-.15 F F3(csh.)3.11 E F0 .61(This section)5.61 F .87
-(describes what syntax features are a)108 362.4 R -.25(va)-.2 G 3.371
-(ilable. This).25 F .871(feature is enabled by def)3.371 F .871
-(ault for interacti)-.1 F 1.171 -.15(ve s)-.25 H .871(hells, and).15 F
-2.014(can be disabled using the)108 374.4 R F3(+H)4.514 E F0 2.014
+-.383 G(XP)-2.738 E(ANSION)-.81 E F0 .61(The shell supports a history e)
+108 350.4 R .611(xpansion feature that is similar to the history e)-.15
+F .611(xpansion in)-.15 F F3(csh.)3.111 E F0 .611(This section)5.611 F
+.871(describes what syntax features are a)108 362.4 R -.25(va)-.2 G
+3.371(ilable. This).25 F .871(feature is enabled by def)3.371 F .87
+(ault for interacti)-.1 F 1.17 -.15(ve s)-.25 H .87(hells, and).15 F
+2.013(can be disabled using the)108 374.4 R F3(+H)4.514 E F0 2.014
 (option to the)4.514 F F3(set)4.514 E F0 -.2(bu)4.514 G 2.014
-(iltin command \(see).2 F F1 2.013(SHELL B)4.513 F(UIL)-.09 E 2.013
+(iltin command \(see).2 F F1 2.014(SHELL B)4.514 F(UIL)-.09 E 2.014
 (TIN COMMANDS)-.828 F F0(belo)108 386.4 Q 2.5(w\). Non-interacti)-.25 F
 .3 -.15(ve s)-.25 H(hells do not perform history e).15 E
-(xpansion by def)-.15 E(ault.)-.1 E 1.305(History e)108 403.2 R 1.305
+(xpansion by def)-.15 E(ault.)-.1 E 1.306(History e)108 403.2 R 1.306
 (xpansions introduce w)-.15 F 1.306(ords from the history list into the\
- input stream, making it easy to repeat)-.1 F .21
-(commands, insert the ar)108 415.2 R .21(guments to a pre)-.18 F .209
+ input stream, making it easy to repeat)-.1 F .209
+(commands, insert the ar)108 415.2 R .209(guments to a pre)-.18 F .21
 (vious command into the current input line, or \214x errors in pre)-.25
-F(vious)-.25 E(commands quickly)108 427.2 Q(.)-.65 E 1.163(History e)108
+F(vious)-.25 E(commands quickly)108 427.2 Q(.)-.65 E 1.164(History e)108
 444 R 1.163(xpansion is performed immediately after a complete line is \
-read, before the shell breaks it into)-.15 F -.1(wo)108 456 S .252
+read, before the shell breaks it into)-.15 F -.1(wo)108 456 S .251
 (rds, and is performed on each line indi).1 F .251
-(vidually without taking quoting on pre)-.25 F .251
-(vious lines into account.)-.25 F(It)5.251 E(tak)108 468 Q .145
-(es place in tw)-.1 F 2.645(op)-.1 G 2.646(arts. The)-2.645 F .146(\214\
+(vidually without taking quoting on pre)-.25 F .252
+(vious lines into account.)-.25 F(It)5.252 E(tak)108 468 Q .146
+(es place in tw)-.1 F 2.646(op)-.1 G 2.646(arts. The)-2.646 F .146(\214\
 rst is to determine which line from the history list to use during subs\
 titution.)2.646 F .766(The second is to select portions of that line fo\
-r inclusion into the current one.)108 480 R .766
-(The line selected from the)5.766 F .253(history is the)108 492 R/F5 10
-/Times-Italic@0 SF -.15(ev)2.753 G(ent).15 E F0 2.753(,a)C .253
+r inclusion into the current one.)108 480 R .767
+(The line selected from the)5.767 F .254(history is the)108 492 R/F5 10
+/Times-Italic@0 SF -.15(ev)2.754 G(ent).15 E F0 2.753(,a)C .253
 (nd the portions of that line that are acted upon are)-2.753 F F5(wor)
-2.753 E(ds)-.37 E F0 5.253(.V)C(arious)-6.363 E F5(modi\214er)2.754 E(s)
--.1 E F0 .254(are a)2.754 F -.25(va)-.2 G(il-).25 E .539
-(able to manipulate the selected w)108 504 R 3.039(ords. The)-.1 F .538
-(line is brok)3.038 F .538(en into w)-.1 F .538(ords in the same f)-.1 F
-.538(ashion as when reading)-.1 F .572(input, so that se)108 516 R -.15
-(ve)-.25 G(ral).15 E F5(metac)3.072 E(har)-.15 E(acter)-.15 E F0 .572
+2.753 E(ds)-.37 E F0 5.253(.V)C(arious)-6.363 E F5(modi\214er)2.753 E(s)
+-.1 E F0 .253(are a)2.753 F -.25(va)-.2 G(il-).25 E .538
+(able to manipulate the selected w)108 504 R 3.038(ords. The)-.1 F .538
+(line is brok)3.038 F .538(en into w)-.1 F .539(ords in the same f)-.1 F
+.539(ashion as when reading)-.1 F .573(input, so that se)108 516 R -.15
+(ve)-.25 G(ral).15 E F5(metac)3.073 E(har)-.15 E(acter)-.15 E F0 .572
 (-separated w)B .572(ords surrounded by quotes are considered one w)-.1
-F 3.073(ord. His-)-.1 F .356(tory e)108 528 R .355
+F 3.072(ord. His-)-.1 F .355(tory e)108 528 R .355
 (xpansions are introduced by the appearance of the history e)-.15 F .355
-(xpansion character)-.15 F 2.855(,w)-.4 G .355(hich is)-2.855 F F3(!)
-3.688 E F0 .355(by def)3.688 F(ault.)-.1 E .79(Only backslash \()108 540
-R F3(\\).833 E F0 3.29(\)a).833 G .79
-(nd single quotes can quote the history e)-3.29 F .79
-(xpansion character)-.15 F 3.291(,b)-.4 G .791(ut the history e)-3.491 F
+(xpansion character)-.15 F 2.855(,w)-.4 G .356(hich is)-2.855 F F3(!)
+3.689 E F0 .356(by def)3.689 F(ault.)-.1 E .791(Only backslash \()108
+540 R F3(\\).833 E F0 3.291(\)a).833 G .79
+(nd single quotes can quote the history e)-3.291 F .79
+(xpansion character)-.15 F 3.29(,b)-.4 G .79(ut the history e)-3.49 F
 (xpansion)-.15 E .789(character is also treated as quoted if it immedia\
 tely precedes the closing double quote in a double-quoted)108 552 R
 (string.)108 564 Q(Se)108 580.8 Q -.15(ve)-.25 G .03
 (ral characters inhibit history e).15 F .03
 (xpansion if found immediately follo)-.15 F .03(wing the history e)-.25
 F .03(xpansion character)-.15 F(,)-.4 E -2.15 -.25(ev e)108 592.8 T
-3.163(ni).25 G 3.163(fi)-3.163 G 3.162(ti)-3.163 G 3.162(su)-3.162 G
+3.162(ni).25 G 3.162(fi)-3.162 G 3.162(ti)-3.162 G 3.162(su)-3.162 G
 .662(nquoted: space, tab, ne)-3.162 F .662(wline, carriage return, and)
 -.25 F F3(=)3.162 E F0 5.662(.I)C 3.162(ft)-5.662 G(he)-3.162 E F3
-(extglob)3.162 E F0 .662(shell option is enabled,)3.162 F F3(\()3.162 E
+(extglob)3.162 E F0 .662(shell option is enabled,)3.162 F F3(\()3.163 E
 F0(will also inhibit e)108 604.8 Q(xpansion.)-.15 E(Se)108 621.6 Q -.15
-(ve)-.25 G .109(ral shell options settable with the).15 F F3(shopt)2.609
-E F0 -.2(bu)2.609 G .11(iltin may be used to tailor the beha).2 F .11
-(vior of history e)-.2 F(xpansion.)-.15 E 1.143(If the)108 633.6 R F3
+(ve)-.25 G .11(ral shell options settable with the).15 F F3(shopt)2.61 E
+F0 -.2(bu)2.61 G .109(iltin may be used to tailor the beha).2 F .109
+(vior of history e)-.2 F(xpansion.)-.15 E 1.142(If the)108 633.6 R F3
 (histv)3.643 E(erify)-.1 E F0 1.143
 (shell option is enabled \(see the description of the)3.643 F F3(shopt)
 3.643 E F0 -.2(bu)3.643 G 1.143(iltin belo).2 F 1.143(w\), and)-.25 F F3
--.18(re)3.643 G(adline).18 E F0(is)3.642 E .461(being used, history sub\
+-.18(re)3.643 G(adline).18 E F0(is)3.643 E .461(being used, history sub\
 stitutions are not immediately passed to the shell parser)108 645.6 R
-5.461(.I)-.55 G .461(nstead, the e)-5.461 F .461(xpanded line)-.15 F
-1.516(is reloaded into the)108 657.6 R F3 -.18(re)4.016 G(adline).18 E
-F0 1.516(editing b)4.016 F(uf)-.2 E 1.516
-(fer for further modi\214cation.)-.25 F(If)6.516 E F3 -.18(re)4.015 G
-(adline).18 E F0 1.515(is being used, and the)4.015 F F3(histr)108 669.6
-Q(eedit)-.18 E F0 1.202(shell option is enabled, a f)3.702 F 1.202
+5.46(.I)-.55 G .46(nstead, the e)-5.46 F .46(xpanded line)-.15 F 1.515
+(is reloaded into the)108 657.6 R F3 -.18(re)4.015 G(adline).18 E F0
+1.515(editing b)4.015 F(uf)-.2 E 1.516(fer for further modi\214cation.)
+-.25 F(If)6.516 E F3 -.18(re)4.016 G(adline).18 E F0 1.516
+(is being used, and the)4.016 F F3(histr)108 669.6 Q(eedit)-.18 E F0
+1.202(shell option is enabled, a f)3.702 F 1.202
 (ailed history substitution will be reloaded into the)-.1 F F3 -.18(re)
 3.702 G(adline).18 E F0(editing)3.702 E -.2(bu)108 681.6 S -.25(ff).2 G
-1.161(er for correction.).25 F(The)6.161 E F3<ad70>3.661 E F0 1.161
-(option to the)3.661 F F3(history)3.661 E F0 -.2(bu)3.661 G 1.16
+1.16(er for correction.).25 F(The)6.16 E F3<ad70>3.66 E F0 1.16
+(option to the)3.66 F F3(history)3.66 E F0 -.2(bu)3.661 G 1.161
 (iltin command may be used to see what a history).2 F -.15(ex)108 693.6
-S .055(pansion will do before using it.).15 F(The)5.055 E F3<ad73>2.555
-E F0 .055(option to the)2.555 F F3(history)2.556 E F0 -.2(bu)2.556 G
-.056(iltin may be used to add commands to the).2 F
+S .056(pansion will do before using it.).15 F(The)5.056 E F3<ad73>2.556
+E F0 .056(option to the)2.556 F F3(history)2.555 E F0 -.2(bu)2.555 G
+.055(iltin may be used to add commands to the).2 F
 (end of the history list without actually e)108 705.6 Q -.15(xe)-.15 G
 (cuting them, so that the).15 E 2.5(ya)-.15 G(re a)-2.5 E -.25(va)-.2 G
 (ilable for subsequent recall.).25 E 2.2(The shell allo)108 722.4 R 2.2
 (ws control of the v)-.25 F 2.2(arious characters used by the history e)
 -.25 F 2.2(xpansion mechanism \(see the)-.15 F(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(53)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(53)192.895 E 0 Cg EP
 %%Page: 54 54
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
-(Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E 1.146
-(description of)108 84 R/F1 10/Times-Bold@0 SF(histchars)3.646 E F0(abo)
-3.646 E 1.446 -.15(ve u)-.15 H(nder).15 E F1 1.146(Shell V)3.646 F
-(ariables)-.92 E F0 3.646(\). The)B 1.147
+(Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E 1.147
+(description of)108 84 R/F1 10/Times-Bold@0 SF(histchars)3.647 E F0(abo)
+3.647 E 1.447 -.15(ve u)-.15 H(nder).15 E F1 1.147(Shell V)3.647 F
+(ariables)-.92 E F0 3.646(\). The)B 1.146
 (shell uses the history comment character to)3.646 F
 (mark history timestamps when writing the history \214le.)108 96 Q F1
-(Ev)87 112.8 Q(ent Designators)-.1 E F0 .205(An e)108 124.8 R -.15(ve)
+(Ev)87 112.8 Q(ent Designators)-.1 E F0 .204(An e)108 124.8 R -.15(ve)
 -.25 G .204(nt designator is a reference to a command line entry in the\
- history list.).15 F .204(Unless the reference is abso-)5.204 F(lute, e)
+ history list.).15 F .205(Unless the reference is abso-)5.204 F(lute, e)
 108 136.8 Q -.15(ve)-.25 G(nts are relati).15 E .3 -.15(ve t)-.25 H 2.5
 (ot).15 G(he current position in the history list.)-2.5 E F1(!)108 153.6
-Q F0 1.607(Start a history substitution, e)144 153.6 R 1.607
+Q F0 1.608(Start a history substitution, e)144 153.6 R 1.608
 (xcept when follo)-.15 F 1.607(wed by a)-.25 F F1(blank)4.107 E F0 4.107
-(,n)C -.25(ew)-4.107 G 1.608(line, carriage return, = or \().25 F
+(,n)C -.25(ew)-4.107 G 1.607(line, carriage return, = or \().25 F
 (\(when the)144 165.6 Q F1(extglob)2.5 E F0
 (shell option is enabled using the)2.5 E F1(shopt)2.5 E F0 -.2(bu)2.5 G
 (iltin\).).2 E F1(!)108 177.6 Q/F2 10/Times-Italic@0 SF(n)A F0
@@ -6503,42 +6507,42 @@ n in the history list containing)144 249.6 R F2(string)144 261.6 Q F0 5
 (.T).22 G(he trailing)-5 E F1(?)2.5 E F0(may be omitted if)2.5 E F2
 (string)2.84 E F0(is follo)2.72 E(wed immediately by a ne)-.25 E(wline.)
 -.25 E/F3 12/Times-Bold@0 SF(^)108 278.6 Q F2(string1)-5 I F3(^)5 I F2
-(string2)-5 I F3(^)5 I F0 .784(Quick substitution.)144 285.6 R .784
-(Repeat the pre)5.784 F .784(vious command, replacing)-.25 F F2(string1)
-3.624 E F0(with)3.283 E F2(string2)3.283 E F0 5.783(.E).02 G(qui)-5.783
-E -.25(va)-.25 G .783(lent to).25 F -.74(``)144 297.6 S(!!:s/).74 E F2
+(string2)-5 I F3(^)5 I F0 .783(Quick substitution.)144 285.6 R .783
+(Repeat the pre)5.783 F .784(vious command, replacing)-.25 F F2(string1)
+3.624 E F0(with)3.284 E F2(string2)3.284 E F0 5.784(.E).02 G(qui)-5.784
+E -.25(va)-.25 G .784(lent to).25 F -.74(``)144 297.6 S(!!:s/).74 E F2
 (string1)A F0(/)A F2(string2)A F0(/')A 2.5('\()-.74 G(see)-2.5 E F1
 (Modi\214ers)2.5 E F0(belo)2.5 E(w\).)-.25 E F1(!#)108 309.6 Q F0
 (The entire command line typed so f)144 309.6 Q(ar)-.1 E(.)-.55 E F1
--.75(Wo)87 326.4 S(rd Designators).75 E F0 -.8(Wo)108 338.4 S 1.313
+-.75(Wo)87 326.4 S(rd Designators).75 E F0 -.8(Wo)108 338.4 S 1.314
 (rd designators are used to select desired w).8 F 1.314(ords from the e)
--.1 F -.15(ve)-.25 G 3.814(nt. A).15 F F1(:)3.814 E F0 1.314
-(separates the e)3.814 F -.15(ve)-.25 G 1.314(nt speci\214cation).15 F
-.53(from the w)108 350.4 R .529(ord designator)-.1 F 5.529(.I)-.55 G
+-.1 F -.15(ve)-.25 G 3.814(nt. A).15 F F1(:)3.814 E F0 1.313
+(separates the e)3.813 F -.15(ve)-.25 G 1.313(nt speci\214cation).15 F
+.529(from the w)108 350.4 R .529(ord designator)-.1 F 5.529(.I)-.55 G
 3.029(tm)-5.529 G .529(ay be omitted if the w)-3.029 F .529
 (ord designator be)-.1 F .529(gins with a)-.15 F F1(^)3.029 E F0(,)A F1
 ($)3.029 E F0(,)A F1(*)3.029 E F0(,)A F1<ad>3.029 E F0 3.029(,o)C(r)
--3.029 E F1(%)3.029 E F0 5.529(.W)C(ords)-6.329 E 1.3
-(are numbered from the be)108 362.4 R 1.3
-(ginning of the line, with the \214rst w)-.15 F 1.301
-(ord being denoted by 0 \(zero\).)-.1 F -.8(Wo)6.301 G 1.301(rds are).8
-F(inserted into the current line separated by single spaces.)108 374.4 Q
+-3.029 E F1(%)3.029 E F0 5.53(.W)C(ords)-6.33 E 1.301
+(are numbered from the be)108 362.4 R 1.301
+(ginning of the line, with the \214rst w)-.15 F 1.3
+(ord being denoted by 0 \(zero\).)-.1 F -.8(Wo)6.3 G 1.3(rds are).8 F
+(inserted into the current line separated by single spaces.)108 374.4 Q
 F1 2.5(0\()108 391.2 S(zer)-2.5 E(o\))-.18 E F0(The zeroth w)144 403.2 Q
 2.5(ord. F)-.1 F(or the shell, this is the command w)-.15 E(ord.)-.1 E
 F2(n)108.36 415.2 Q F0(The)144 415.2 Q F2(n)2.5 E F0(th w)A(ord.)-.1 E
 F1(^)108 427.2 Q F0(The \214rst ar)144 427.2 Q 2.5(gument. That)-.18 F
-(is, w)2.5 E(ord 1.)-.1 E F1($)108 439.2 Q F0 .064(The last w)144 439.2
-R 2.564(ord. This)-.1 F .064(is usually the last ar)2.564 F .064
+(is, w)2.5 E(ord 1.)-.1 E F1($)108 439.2 Q F0 .063(The last w)144 439.2
+R 2.563(ord. This)-.1 F .063(is usually the last ar)2.563 F .064
 (gument, b)-.18 F .064(ut will e)-.2 F .064(xpand to the zeroth w)-.15 F
-.063(ord if there is only)-.1 F(one w)144 451.2 Q(ord in the line.)-.1 E
+.064(ord if there is only)-.1 F(one w)144 451.2 Q(ord in the line.)-.1 E
 F1(%)108 463.2 Q F0(The w)144 463.2 Q(ord matched by the most recent `?)
 -.1 E F2(string)A F0(?' search.)A F2(x)108.77 475.2 Q F1<ad>A F2(y)A F0
 2.5(Ar)144 475.2 S(ange of w)-2.5 E(ords; `\255)-.1 E F2(y)A F0 2.5('a)C
 (bbre)-2.5 E(viates `0\255)-.25 E F2(y)A F0('.)A F1(*)108 487.2 Q F0
-.315(All of the w)144 487.2 R .315(ords b)-.1 F .315(ut the zeroth.)-.2
+.316(All of the w)144 487.2 R .316(ords b)-.1 F .316(ut the zeroth.)-.2
 F .315(This is a synon)5.315 F .315(ym for `)-.15 F F2(1\255$)A F0 2.815
-('. It)B .315(is not an error to use)2.815 F F1(*)2.816 E F0 .316
-(if there is)2.816 F(just one w)144 499.2 Q(ord in the e)-.1 E -.15(ve)
+('. It)B .315(is not an error to use)2.815 F F1(*)2.815 E F0 .315
+(if there is)2.815 F(just one w)144 499.2 Q(ord in the e)-.1 E -.15(ve)
 -.25 G(nt; the empty string is returned in that case.).15 E F1(x*)108
 511.2 Q F0(Abbre)144 511.2 Q(viates)-.25 E F2(x\255$)2.5 E F0(.)A F1
 <78ad>108 523.2 Q F0(Abbre)144 523.2 Q(viates)-.25 E F2(x\255$)2.5 E F0
@@ -6546,9 +6550,9 @@ F .315(This is a synon)5.315 F .315(ym for `)-.15 F F2(1\255$)A F0 2.815
 (ord.)-.1 E(If a w)108 540 Q(ord designator is supplied without an e)-.1
 E -.15(ve)-.25 G(nt speci\214cation, the pre).15 E
 (vious command is used as the e)-.25 E -.15(ve)-.25 G(nt.).15 E F1
-(Modi\214ers)87 556.8 Q F0 .184(After the optional w)108 568.8 R .184
-(ord designator)-.1 F 2.684(,t)-.4 G .183
-(here may appear a sequence of one or more of the follo)-2.684 F .183
+(Modi\214ers)87 556.8 Q F0 .183(After the optional w)108 568.8 R .183
+(ord designator)-.1 F 2.683(,t)-.4 G .184
+(here may appear a sequence of one or more of the follo)-2.683 F .184
 (wing modi\214ers,)-.25 F(each preceded by a `:'.)108 580.8 Q F1(h)108
 597.6 Q F0(Remo)144 597.6 Q .3 -.15(ve a t)-.15 H
 (railing \214lename component, lea).15 E(ving only the head.)-.2 E F1(t)
@@ -6565,21 +6569,21 @@ E -.15(ve)-.25 G(nt speci\214cation, the pre).15 E
 (Quote the substituted w)144 669.6 Q(ords as with)-.1 E F1(q)2.5 E F0
 2.5(,b)C(ut break into w)-2.7 E(ords at)-.1 E F1(blanks)2.5 E F0(and ne)
 2.5 E(wlines.)-.25 E F1(s/)108 681.6 Q F2(old)A F1(/)A F2(ne)A(w)-.15 E
-F1(/)A F0(Substitute)144 693.6 Q F2(ne)3.081 E(w)-.15 E F0 .221
-(for the \214rst occurrence of)3.031 F F2(old)2.951 E F0 .221(in the e)
+F1(/)A F0(Substitute)144 693.6 Q F2(ne)3.082 E(w)-.15 E F0 .221
+(for the \214rst occurrence of)3.032 F F2(old)2.951 E F0 .221(in the e)
 3.491 F -.15(ve)-.25 G .221(nt line.).15 F(An)5.221 E 2.721(yd)-.15 G
-.221(elimiter can be used in place)-2.721 F .617(of /.)144 705.6 R .617
+.221(elimiter can be used in place)-2.721 F .616(of /.)144 705.6 R .617
 (The \214nal delimiter is optional if it is the last character of the e)
-5.617 F -.15(ve)-.25 G .617(nt line.).15 F .616(The delimiter may)5.616
+5.616 F -.15(ve)-.25 G .617(nt line.).15 F .617(The delimiter may)5.617
 F .666(be quoted in)144 717.6 R F2(old)3.396 E F0(and)3.936 E F2(ne)
 3.526 E(w)-.15 E F0 .666(with a single backslash.)3.476 F .666
 (If & appears in)5.666 F F2(ne)3.166 E(w)-.15 E F0 3.166(,i).31 G 3.166
 (ti)-3.166 G 3.166(sr)-3.166 G .666(eplaced by)-3.166 F F2(old)3.166 E
-F0 5.666(.A).77 G 1.595(single backslash will quote the &.)144 729.6 R
-(If)6.595 E F2(old)4.325 E F0 1.594(is null, it is set to the last)4.865
-F F2(old)4.324 E F0 1.594(substituted, or)4.864 F 4.094(,i)-.4 G 4.094
-(fn)-4.094 G(o)-4.094 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(54)
-197.335 E 0 Cg EP
+F0 5.666(.A).77 G 1.594(single backslash will quote the &.)144 729.6 R
+(If)6.594 E F2(old)4.324 E F0 1.595(is null, it is set to the last)4.864
+F F2(old)4.325 E F0 1.595(substituted, or)4.865 F 4.095(,i)-.4 G 4.095
+(fn)-4.095 G(o)-4.095 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E
+(54)192.895 E 0 Cg EP
 %%Page: 55 55
 %%BeginPageSetup
 BP
